/*
 * Copyright (C) 2025, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: liuliang <liuliang@kylinos.cn>
 *
 */

#include "demoserviceplugin.h"
#include "demoservice.h"
#include "demoservice2.h"

#include <QDebug>
#include <QVariant>

DemoServicePlugin::DemoServicePlugin(QObject *parent)
    : QObject(parent), ServiceInterface()
{
}

QList<UKUI::ServiceObject *> DemoServicePlugin::getServiceObjects()
{
    // 获取参数
    qDebug() << "demo plugin getServiceObjects";
    if (property("arguments").isValid()) {
        qDebug() << "get arguments" << property("arguments").toStringList();
    } else {
        qDebug() << "no arguments found";
    }

    QList<UKUI::ServiceObject *> services;
    auto service1 = new DemoService;
    services << service1;

    auto service2 = new DemoService2;
    services << service2;

    return services;
}
